Download it now!
Bug 61655 - EDITING: UNDO Line Property changes does change Text Character Properties
Summary: EDITING: UNDO Line Property changes does change Text Character Properties
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Draw
  Show dependency treegraph
 
Reported: 2013-03-01 07:38 UTC by Rainer Bielefeld Retired
Modified: 2019-05-14 02:56 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample Document (19.53 KB, application/vnd.oasis.opendocument.graphics)
2013-03-01 07:38 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-03-01 07:38:52 UTC
Created attachment 75726 [details]
Sample Document

Steps how to reproduce with "LibO  4.0.1.2 rc   -  German UI / German Locale  [Build ID: 2c0c17a6e4bee0ee28131ea4bdc47edc700d659)]"  {tinderbox: @6, pull time  2013-02-28 08:53(?)} on German WIN7 Home Premium (64bit) 

1. open Attachment
2. Click yellow grouped object
3. Click "Lines" Icon in Formatting Toolbar, change lines properties to 
   'Continuous - light magenta, 0,25mm' <ok>
   > some borders appears as expected
4. Click Unto icon
   Expected: Lines disappears
   Actual: Text in top group element changes to "Auto-Black" from "Turquoise 7"
           Border might disappear with some more undo, behavior depends
           on Version
Comment 1 Rainer Bielefeld Retired 2013-03-01 07:51:27 UTC
Already reproducible with LibO 3.3.3 and OOo 3.4.0, so inherited from OOo.

The grouped object in the sample document has been created with a LibO Vrsion end 2011 or so.

Currently the problem is only reproducible with those particular elements, not with new groups created from the scratch
Comment 2 A (Andy) 2013-04-09 20:10:25 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Note to Step 2: it is not yellow, but turquoise
Comment 3 A (Andy) 2015-02-26 19:41:44 UTC
Reproducible with LO 4.4.1.2, Win 8.1
Comment 4 tommy27 2016-04-16 07:24:42 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 5 QA Administrators 2019-05-14 02:56:49 UTC
Dear Rainer Bielefeld Retired,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug